%define daemon_group apache
%define daemon_user apache
%define __python %_bindir/python2
%define nacoma_hook_dir /opt/monitor/op5/nacoma/hooks/save
Name: monitor-geomap
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2
Packager: build@op5
Vendor: op5 AB
BuildRoot: /tmp/%name-%version
Summary: Geomap plugin for Monitor
Group: op5/Monitor
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
BuildRequires: monitor-ninja-devel
BuildRequires: /usr/bin/php
BuildRequires: python2-devel
Requires: monitor-ninja >= 3.1
Requires: python2
%if 0%{?rhel} >= 8
Requires: python2-lxml
%else
Requires: python-lxml
%endif
Source: %name-%version.tar.gz

%description
Geomap plugin for monitor

%package test
Summary: Test scripts for monitor-geomap
Group: op5/Monitor
Requires: monitor-geomap = %{version}
Requires: monitor-nacoma
Requires: python2-nose
Requires: gcc
Requires: chromedriver
Requires: php-phpunit-PHPUnit
Requires: monitor-ninja-test
Requires: ruby
Requires: ruby-devel
Requires: op5int_webtest

%description test
Test scripts for monitor-geomap

%prep
%setup -q

%build
make

%install
mkdir -p -m 755 %buildroot%prefix/modules
cp -r install_scripts  %buildroot%prefix
cp -r geomap  %buildroot%prefix/modules/geomap

mkdir -p -m 755 %buildroot%prefix/application/config
cp -r config  %buildroot%prefix/application/config/geomap

%{__install} -D -m 644 backup/op5-geomap %{buildroot}%{_sysconfdir}/op5-backup/modules/external/op5-geomap

%{__install} -D op5build/geomap_hook.py %{buildroot}%{nacoma_hook_dir}/geomap_hook.py
%{__install} -D -m 644 test/nose/geomap_hook_test.py %{buildroot}%{nacoma_hook_dir}/geomap_hook_test.py

%py_byte_compile %__python %buildroot

%post
php %prefix/install_scripts/update_geomap_settings.php \
	%prefix/../nagvis/etc/geomap/ \
	%prefix/modules/geomap/config/geomap/

%files
%prefix/install_scripts/update_geomap_settings.php
%prefix/modules/geomap
%{_sysconfdir}/op5-backup/modules/external/op5-geomap
%dir %attr(775,%daemon_user,%daemon_group) %prefix/application/config/geomap
%config(noreplace) %attr(664,%daemon_user,%daemon_group) %prefix/application/config/geomap/*
%{nacoma_hook_dir}/geomap_hook.py
%{nacoma_hook_dir}/geomap_hook.pyc
%{nacoma_hook_dir}/geomap_hook.pyo

%files test
%{nacoma_hook_dir}/geomap_hook_test.py*

%clean
rm -rf %buildroot
